Рейтинг@Mail.ru

Наши друзья и партнеры

UnixForum




Книги по Linux (с отзывами читателей)

Библиотека сайта rus-linux.net

На главную -> MyLDP -> Электронные книги по ОС Linux
Beyond Linux From Scratch. Version 2011-12-30
Назад 16. Библиотеки для работы с сетью. Вперед

Пакет libsoup-2.30.2

Знакомимся с пакетом libsoup

В пакете libsoup находится реализация на языке C библиотеки для работы с протоколом HTTP. Пакет используется для доступа к серверам HTTP в полностью асинхронном режиме.

Известно, что пакет правильно собирается и работает на платформе LFS-6.5.

Информация о пакете

Зависимости пакета libsoup

Обязательные

GLib-2.30.1 и libxml2-2.7.8

Рекомендуемые

GnuTLS-3.0.7, libgnome-keyring-2.30.1, libproxy-0.2.3 и SQLite-3.7.8 (последние три необходимы в случае, если собирается GNOME)

Необязательные

GConf-2.28.1, GTK-Doc-1.18,Apache-2.2.21 (требуются для запуска тестового набора) и PHP-5.3.8, скомпилированный с поддержкой XMLRPC-EPI (используется только для регрессионных тестов XMLRPC)

Замечания для пользователей: http://wiki.linuxfromscratch.org/blfs/wiki/libsoup

Установка пакета libsoup

Установите пакет libsoup с помощью следующих команд:

./configure --prefix=/usr &&
make

Чтобы проверить результаты, выполните команду make check.

Теперь в роли пользователя root выполните:

make install

Пояснение команд

--enable-gtk-doc: Используйте этот параметр, если установлен пакет GTK-Doc и вы хотите пересобрать и установить документацию по API.

--without-gnome: Используйте этот параметр, если вы НЕ будете устанавливать GNOME.

--disable-ssl: Используйте этот параметр, если вы хотите отключить поддержку SSL/TLS.

Описание пакета

Установленные программы: Нет

Установленные библиотеки: libsoup-2.4.{so,a} и libsoup-gnome-2.4.{so,a}

Установленные директории: /usr/{include/{libsoup-2.4/libsoup,libsoup-gnome-2.4/libsoup}, share/gtk-doc/html/libsoup-2.4}

Краткое описание

libsoup-2.4.{so,a}

предоставляет функции для асинхронных соединений HTTP

libsoup-gnome-2.4.{so,a}

предоставляет специальные функции, предназначенные для GNOME

Перевод сделан с варианта оригинала, датированного 2010-10-17 17:55:40 +0000


Предыдущий раздел: Оглавление Следующий раздел:
Пакет libproxy-0.2.3   Пакет libtirpc-0.2.2

Поделиться: